<<< Previous |  | Next >>>

# FcFreeTypeQuery

## Name

FcFreeTypeQuery -- compute pattern from font file (and index)

## Synopsis

    #include <fontconfig.h>
    #include <fcfreetype.h>

``FcPattern * `FcFreeTypeQuery``(const FcChar8 *`file`, int `id`, FcBlanks *`blanks`, int *`count`);`

## Description

Constructs a pattern representing the 'id'th face in 'file'. The number of faces in 'file' is returned in 'count'. FcBlanks is deprecated, `blanks` is ignored and accepted only for compatibility with older code.

<<< Previous | Home | Next >>>
FcFreeTypeCharSetAndSpacing | Up | FcFreeTypeQueryAll